Scenarios > Tools
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Path parameters
scenarioIdintegerRequiredExample:
The ID of the scenario. You can get the scenarioId with the List scenarios API call.
112Query parameters
Body
namestringOptional
The name of the tool.
descriptionstringOptional
A description of the tool.
inputsobject[]Optional
moduleobjectOptional
The module of the tool. The module is a JSON object that contains the module ID, version, mapper, parameters, and metadata.
Responses
200
Scenario was updated successfully
application/json
patch
/scenarios/tools/{scenarioId}200
Scenario was updated successfully
Last updated

